
use strict;
use Test::More;
use FindBin;
use lib "$FindBin::Bin/../lib";

use DBIx::VersionedDDL;

my $dsn         = "dbi:Pg:dbname=versionedddl;host=127.0.0.1;port=5432";
my $user        = "vddluser";
my $pass        = "vddlpass";
my $ddl_dir     = "$FindBin::Bin/../sql/ddl";

my $sv = DBIx::VersionedDDL->new
(
    dsn  => $dsn,
    user => $user,
    pass => $pass,
    ddl_dir => $ddl_dir,
);

ok( $sv, "Built the DBIx::VersionedDDL object");

ok( $sv->migrate(1), "Up grade to version 1" );

ok( $sv->migrate(2), "Up grade to version 2" );

ok( $sv->migrate(3), "Up grade to version 3" );

ok( $sv->migrate(1), "Down grade to version 1" );

done_testing();
